import { ValidatorFn, AbstractControl } from '@angular/forms';
/**
 * Validation with condition equal to value
 * @param conditions conditions like object (key is control name)
 * @param validators validators array
 * @param controls controls to detect changes in their values
 */
export declare function equal(conditions: {
    [key: string]: any;
}, validators: ValidatorFn[], controls?: (AbstractControl | string)[]): ValidatorFn;
